WAKE_OFB_Info< B > Class Template Reference

WAKE stream cipher information. More...

Inheritance diagram for WAKE_OFB_Info< B >:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 32 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...

## Additional Inherited Members

Static Public Attributes inherited from FixedKeyLength< 32 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

### template<class B = BigEndian>
class WAKE_OFB_Info< B >

WAKE stream cipher information.

Template Parameters

  B | Endianess of the stream cipher

Definition at line 19 of file wake.h.

The documentation for this class was generated from the following file:

- wake.h